Name:           coindesigner
Version:        2.0
Release:        0.20170920.3%{?dist}
Summary:        RAD tool for OpenInventor(TM) models

License:        GPL
URL:            http://coindesigner.sourceforge.net
Source0:        coindesigner-2.0.tar.gz

# Update to git HEAD
Patch1:         coindesigner-20170725git8648f1947e5fe.diff
# gxx11 compatibility hacks
Patch2:		0001-gxx11-fixes.patch


BuildRequires:	flex bison
BuildRequires:  cmake
BuildRequires:  SoQt-devel
BuildRequires:  SIMVoleon-devel
BuildRequires:  simage-devel

%description
Coindesigner is a RAD tool oriented to create OpenInventor scenes in 
a visual way.

Coindesigner is a system similar to glade or qt-designer, where
we can choose components from the OpenInventor toolkit, add them
somewhere in our scene and configure them in a very easy way... 

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1

%build
mkdir -p BUILD
cd BUILD
%cmake -DCMAKE_INCLUDE_PATH="/usr/include/Coin3" -DBUILD_SHARED_LIBS:BOOL=OFF ..
make VERBOSE=1 %{?_smp_mflags}
cd ..

%install
cd BUILD
%make_install
cd ..

%files
%doc README*
%license GPL.txt
%{_bindir}/*
%{_datadir}/*

%changelog
* Wed Sep 20 2017 Ralf Corsépius <ralf@linux2linux.de> - 2.0-0.20170920.3
- Update to 2.0.
- Switch to cmake.

* Sat Apr 20 2013 Ralf Corsépius <rc040203@freenet.de> - 1.3-4
- Update patch to make package buildable, again.
- Modernize spec.

* Fri Jan 18 2008 Ralf Corsépius <rc040203@freenet.de> - 1.3-3
- Bug fixes.

* Fri Jan 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.3-1
- Initial build
